Name: ca-certificates
Version: 2007.02.06
Release: alt0.1.M30

Summary: Common CA Certificates
License: MPL/GPL/LGPL
Group: System/Base
BuildArch: noarch
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source0: mozilla.tar
Source1: alt.tar
Source2: cacert.org.tar

BuildRequires: openssl

%description
This package contains a bundle of X.509 certificates of public Certificate
Authorities (CA).  This is useful for any applications to verify SSL/TLS
connection.
Note that certificate authorities whose certificates are included in
this package are not in any way audited for trustworthiness and RFC3647
compliance, and that full responsibility to assess them rests with
the user.

%prep
%setup -qc -a1 -a2

%build
export TZ=UTC
pushd mozilla
	./ca-bundle.pl certdata.txt >ca-bundle.crt
popd
pushd alt
	printf '#\n# ALT CA\n#\n\n' >ca-bundle.crt
	openssl x509 -in alt.pem -text -fingerprint -noout >>ca-bundle.crt
	cat alt.pem >>ca-bundle.crt
	printf '\n\n' >>ca-bundle.crt
popd
pushd cacert.org
	printf '#\n# http://www.cacert.org/certs/class3.crt\n#\n\n' >ca-bundle.crt
	openssl x509 -in cacert.org.pem -text -fingerprint -noout >>ca-bundle.crt
	cat cacert.org.pem >>ca-bundle.crt
	printf '\n\n' >>ca-bundle.crt
popd

%install
mkdir -p %buildroot%_datadir/%name
cat {mozilla,alt,cacert.org}/ca-bundle.crt >%buildroot%_datadir/%name/ca-bundle.crt

%files
%_datadir/%name

%changelog
* Thu Apr 12 2007 Sergey V Turchin <zerg at altlinux dot org> 2007.02.06-alt0.1.M30
- built for M30

* Tue Feb 06 2007 Dmitry V. Levin <ldv@altlinux.org> 2007.02.06-alt1
- Imported a bundle of X.509 certificates of public Certificate
  Authorities (CA) from openssl package to this package.
- Updated Mozilla's root CA list.
- Added ALT Root CA.
- Added cacert.org Root CA.
